- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VDXParser Class Reference

`#include <VDXParser.h>`

Inheritance diagram for libvisio::VDXParser:

## Public Member Functions
| VDXParser (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
virtual | ~VDXParser ()
bool | parseMain ()
bool | extractStencils ()
Public Member Functions inherited from libvisio::VSDXMLParserBase
| VSDXMLParserBase ()
virtual | ~VSDXMLParserBase ()

## Private Member Functions
| VDXParser ()
| VDXParser (const VDXParser &)
VDXParser & | operator= (const VDXParser &)
xmlChar * | readStringData (xmlTextReaderPtr reader)
int | getElementToken (xmlTextReaderPtr reader)
int | getElementDepth (xmlTextReaderPtr reader)
bool | processXmlDocument (WPXInputStream *input)
void | processXmlNode (xmlTextReaderPtr reader)
void | readLine (xmlTextReaderPtr reader)
void | readFillAndShadow (xmlTextReaderPtr reader)
void | readXFormData (xmlTextReaderPtr reader)
void | readMisc (xmlTextReaderPtr reader)
void | readTxtXForm (xmlTextReaderPtr reader)
void | readPageProps (xmlTextReaderPtr reader)
void | readFonts (xmlTextReaderPtr reader)
void | readTextBlock (xmlTextReaderPtr reader)
void | readForeignInfo (xmlTextReaderPtr reader)
void | getBinaryData (xmlTextReaderPtr reader)

## Private Attributes
WPXInputStream * | m_input
libwpg::WPGPaintInterface * | m_painter

## Additional Inherited Members
Protected Member Functions inherited from libvisio::VSDXMLParserBase
int | readByteData (unsigned char &value, xmlTextReaderPtr reader)
int | readByteData (boost::optional< unsigned char > &value, xmlTextReaderPtr reader)
int | readUnsignedData (boost::optional< unsigned > &value, xmlTextReaderPtr reader)
int | readLongData (boost::optional< long > &value, xmlTextReaderPtr reader)
int | readLongData (long &value, xmlTextReaderPtr reader)
int | readDoubleData (boost::optional< double > &value, xmlTextReaderPtr reader)
int | readDoubleData (double &value, xmlTextReaderPtr reader)
int | readBoolData (boost::optional< bool > &value, xmlTextReaderPtr reader)
int | readBoolData (bool &value, xmlTextReaderPtr reader)
int | readColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, long &idx, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (boost::optional< Colour > &value, xmlTextReaderPtr reader)
int | readNURBSData (boost::optional< NURBSData > &data, xmlTextReaderPtr reader)
int | readPolylineData (boost::optional< PolylineData > &data, xmlTextReaderPtr reader)
unsigned | getIX (xmlTextReaderPtr reader)
virtual void | _handleLevelChange (unsigned level)
void | _flushShape ()
void | readEllipticalArcTo (xmlTextReaderPtr reader)
void | readEllipse (xmlTextReaderPtr reader)
void | readGeometry (xmlTextReaderPtr reader)
void | readMoveTo (xmlTextReaderPtr reader)
void | readLineTo (xmlTextReaderPtr reader)
void | readArcTo (xmlTextReaderPtr reader)
void | readNURBSTo (xmlTextReaderPtr reader)
void | readPolylineTo (xmlTextReaderPtr reader)
void | readInfiniteLine (xmlTextReaderPtr reader)
void | readRelCubBezTo (xmlTextReaderPtr reader)
void | readRelEllipticalArcTo (xmlTextReaderPtr reader)
void | readRelLineTo (xmlTextReaderPtr reader)
void | readRelMoveTo (xmlTextReaderPtr reader)
void | readRelQuadBezTo (xmlTextReaderPtr reader)
void | readForeignData (xmlTextReaderPtr reader)
void | readShape (xmlTextReaderPtr reader)
void | readColours (xmlTextReaderPtr reader)
void | readPage (xmlTextReaderPtr reader)
void | readText (xmlTextReaderPtr reader)
void | readCharIX (xmlTextReaderPtr reader)
void | readParaIX (xmlTextReaderPtr reader)
void | readStyleSheet (xmlTextReaderPtr reader)
void | readPageSheet (xmlTextReaderPtr reader)
void | readSplineStart (xmlTextReaderPtr reader)
void | readSplineKnot (xmlTextReaderPtr reader)
void | readStencil (xmlTextReaderPtr reader)
void | handlePagesStart (xmlTextReaderPtr reader)
void | handlePagesEnd (xmlTextReaderPtr reader)
void | handlePageStart (xmlTextReaderPtr reader)
void | handlePageEnd (xmlTextReaderPtr reader)
void | handleMastersStart (xmlTextReaderPtr reader)
void | handleMastersEnd (xmlTextReaderPtr reader)
void | handleMasterStart (xmlTextReaderPtr reader)
void | handleMasterEnd (xmlTextReaderPtr reader)
void | skipPages (xmlTextReaderPtr reader)
void | skipMasters (xmlTextReaderPtr reader)
Protected Attributes inherited from libvisio::VSDXMLParserBase
VSDCollector * | m_collector
VSDStencils | m_stencils
VSDStencil * | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
unsigned | m_currentStencilID
bool | m_extractStencils
bool | m_isInStyles
unsigned | m_currentLevel
unsigned | m_currentShapeLevel
std::map< unsigned, Colour > | m_colours
VSDFieldList | m_fieldList
VSDShapeList | m_shapeList
WPXBinaryData | m_currentBinaryData
std::stack< VSDShape > | m_shapeStack
std::stack< unsigned > | m_shapeLevelStack
bool | m_isShapeStarted
bool | m_isPageStarted
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeometryListIndex
std::map< unsigned, VSDName > | m_fonts

## Constructor & Destructor Documentation

libvisio::VDXParser::VDXParser | ( | WPXInputStream * | input,
|  | libwpg::WPGPaintInterface * | painter
| ) |  |
| explicit

libvisio::VDXParser::~VDXParser | ( |  | ) |
| virtual

libvisio::VDXParser::VDXParser | ( |  | ) |
| private

libvisio::VDXParser::VDXParser | ( | const VDXParser & |  | ) |
| private

## Member Function Documentation

bool libvisio::VDXParser::extractStencils | ( |  | ) |
| virtual

Implements libvisio::VSDXMLParserBase.

void libvisio::VDXParser::getBinaryData | ( | xmlTextReaderPtr | reader | ) |
| private virtual

Implements libvisio::VSDXMLParserBase.

int libvisio::VDXParser::getElementDepth | ( | xmlTextReaderPtr | reader | ) |
| private virtual

Implements libvisio::VSDXMLParserBase.

int libvisio::VDXParser::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private virtual

Implements libvisio::VSDXMLParserBase.

VDXParser& libvisio::VDXParser::operator= | ( | const VDXParser & |  | ) |
| private

bool libvisio::VDXParser::parseMain | ( |  | ) |
| virtual

Implements libvisio::VSDXMLParserBase.

bool libvisio::VDXParser::processXmlDocument | ( | WPXInputStream * | input | ) |
| private

void libvisio::VDXParser::processXmlNode | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readFillAndShadow | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readFonts | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readForeignInfo | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readLine | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readMisc | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readPageProps | ( | xmlTextReaderPtr | reader | ) |
| private

xmlChar * libvisio::VDXParser::readStringData | ( | xmlTextReaderPtr | reader | ) |
| private virtual

Implements libvisio::VSDXMLParserBase.

void libvisio::VDXParser::readTextBlock | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readTxtXForm | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VDXParser::readXFormData | ( | xmlTextReaderPtr | reader | ) |
| private

## Member Data Documentation

WPXInputStream* libvisio::VDXParser::m_input
| private

libwpg::WPGPaintInterface* libvisio::VDXParser::m_painter
| private

The documentation for this class was generated from the following files:

- VDXParser.h
- VDXParser.cpp